Subject: Re: [PATCH 2/2] gnu: Add hare.

From: Maxime Devos <[email-masked]>
Date: Sun, 26 Jun 2022 16:39:03 +0200

Antero Mejr schreef op zo 26-06-2022 om 10:30 [-0400]:
> I forgot to patch the path in leapsec.ha to use for Guix's leapseconds
> file. Should I do that, or leave out tzdata?

Looking at <https://harelang.org/distributions/>, harec expects it to
be located in /usr/share/zoneinfo/leap-seconds.list by default (not
/gnu/store/.../share/tzdata), so adding tzdata as input doesn't
accomplish anything here.

So to have time zone things working on Guix System, it seems like hare
needs to be patched to support the $TZDIR environment variable (if it
doesn't support that already).

Also, I think there was some mail or message on #guix some time ago
about Guix not installing that particular file yet in the tzdata
package?  That would need to be fixed as well ...

Greetings,
Maxime.